Skip to main content
PATCH
/
enterprises
/
{enterprise_id}
/
reputation
/
loa
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const loa = await client.enterprises.reputation.loa.update('4a6192a4-573d-446d-b3ce-aff9117272a6', {
  loa_document_id: '2a7e8337-e803-4057-a4ae-26c40eb0bc6c',
});

console.log(loa.data);
{
  "data": {
    "enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
    "loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
    "loa_status": "pending",
    "rejection_reasons": [
      "<string>"
    ],
    "created_at": "2026-04-26T18:06:51.940749Z",
    "updated_at": "2026-04-26T18:09:24.785211Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

The enterprise id. Lowercase UUID.

Example:

"4a6192a4-573d-446d-b3ce-aff9117272a6"

Body

application/json
loa_document_id
string
required

Id of the new signed LOA document (from the Telnyx Documents API). Changing it resets LOA approval; the new document must be approved before more numbers can be added.

Required string length: 1 - 255
Example:

"2a7e8337-e803-4057-a4ae-26c40eb0bc6c"

Response

Updated reputation settings.

data
object
required